<?php
/**
 * CodeIgniter-Aauth
 *
 * Aauth is a User Authorization Library for CodeIgniter 4.x, which aims to make
 * easy some essential jobs such as login, permissions and access operations.
 * Despite ease of use, it has also very advanced features like grouping,
 * access management, public access etc..
 *
 * @package   CodeIgniter-Aauth
 * @author    Emre Akay
 * @author    Raphael "REJack" Jackstadt
 * @copyright 2014-2019 Emre Akay
 * @license   https://opensource.org/licenses/MIT   MIT License
 * @link      https://github.com/emreakay/CodeIgniter-Aauth
 */

/**
 * Account language strings.
 *
 * Language English
 *
 * @package CodeIgniter-Aauth
 *
 * @codeCoverageIgnore
 */
return [
   'homeText'                           => 'Account Details',
   'homeLabelUsername'                  => 'Username',
   'homeLabelEmail'                     => 'Email address',
   'homeLabelSocial'                    => 'Connected Social Accounts',

   'editHeader'                         => 'Edit Profile',
   'editLabelUsername'                  => 'Username',
   'editLabelEmail'                     => 'Email address',
   'editLabelPassword'                  => 'Password',
   'editLabelSubmit'                    => 'Save changes',
   'editLabelSocialConnect'             => 'Connect with ',
   'editLabelSocialDisconnect'          => 'Disconnect with ',

   'linkBackToLogin'                    => 'Back to Login',
   'linkLogin'                          => 'Login',
   'linkRegister'                       => 'Register new Account',
   'linkRemindPassword'                 => 'Forgot Password?',

   'loginHeader'                        => 'Login',
   'loginLabelUsername'                 => 'Username',
   'loginLabelEmail'                    => 'Email address',
   'loginLabelPassword'                 => 'Password',
   'loginLabelRemember'                 => 'Remember me',
   'loginLabelSubmit'                   => 'Login',
   'loginLabelSocial'                   => 'Login with ',

   'registerHeader'                     => 'Create new Account',
   'registerLabelUsername'              => 'Username',
   'registerLabelEmail'                 => 'Email address',
   'registerLabelPassword'              => 'Password',
   'registerLabelRemember'              => 'Remember me',
   'registerLabelSubmit'                => 'Create Account',
   'registerLabelSocial'                => 'Create Account with ',
   'registerRequired'                   => 'Required',

   'verificationHeader'                 => 'Account Verification',
   'verificationText'                   => 'You are only one step away to verify your new account.',
   'verificationLabelVerificationCode'  => 'Verification Code',
   'verificationLabelSubmit'            => 'Verify account',

   'remindPasswordHeader'               => 'Remind Password',
   'remindPasswordText'                 => 'Forgot your password? <br />You can reset your password here.',
   'remindPasswordLabelEmail'           => 'Email address',
   'remindPasswordLabelSubmit'          => 'Send reset instructions',

   'resetPasswordHeader'                => 'Reset Password',
   'resetPasswordText'                  => 'You are only one step away from your new password.',
   'resetPasswordLabelVerificationCode' => 'Verification Code',
   'resetPasswordLabelSubmit'           => 'Send new password',
];
