<?php
/**
 * CodeIgniter-Aauth
 *
 * Aauth is a User Authorization Library for CodeIgniter 4.x, which aims to make
 * easy some essential jobs such as login, permissions and access operations.
 * Despite ease of use, it has also very advanced features like grouping,
 * access management, public access etc.
 *
 * @package   CodeIgniter-Aauth
 * @author    Emre Akay
 * @author    Raphael "REJack" Jackstadt
 * @copyright 2014-2019 Emre Akay
 * @license   https://opensource.org/licenses/MIT   MIT License
 * @link      https://github.com/emreakay/CodeIgniter-Aauth
 */

/**
 * Admin language strings.
 *
 * Language English
 *
 * @package CodeIgniter-Aauth
 *
 * @codeCoverageIgnore
 */
return [
   'homeHeader'                   => 'Admin Area',
   'homeText'                     => 'Welcome to CodeIgniter-Aauth\'s Admin Area',
   'homeBreadcrumbTitle'          => 'Home',

   'breadcrumbCommonNew'          => 'New',
   'breadcrumbCommonEdit'         => 'Edit',
   'breadcrumbCommonShow'         => 'Show',
   'breadcrumbCommonDelete'       => 'Delete',

   'usersIndexHeader'             => 'Users',
   'usersNewHeader'               => 'New user',
   'usersNewSubmit'               => 'Create new user',
   'usersEditHeader'              => 'Edit user',
   'usersEditSubmit'              => 'Update user',
   'usersShowHeader'              => 'Show user',
   'usersDeleteHeader'            => 'Delete user',
   'usersDeleteSubmit'            => 'Delete user',
   'usersBreadcrumbTitle'         => 'Users',
   'usersLabelId'                 => 'Id',
   'usersLabelEmail'              => 'Email address',
   'usersLabelUsername'           => 'Username',
   'usersLabelEmailCurrent'       => 'Current email address',
   'usersLabelUsernameCurrent'    => 'Current username',
   'usersLabelPassword'           => 'Password',
   'usersLabelBanned'             => 'Banned',
   'usersLabelGroups'             => 'Groups',
   'usersLabelPerms'              => 'Perms',
   'usersLabelAllow'              => 'Allow',
   'usersLabelDeny'               => 'Deny',
   'usersLabelCreatedAt'          => 'Created at',
   'usersLabelUpdatedAt'          => 'Updated at',
   'usersLabelLastIPAddress'      => 'Last IP-Address',
   'usersLabelLastActivity'       => 'Last Activity',
   'usersLabelLastLogin'          => 'Last Login',
   'usersLinkNew'                 => 'Create new user',
   'usersLinkBack'                => 'Back',

   'groupsIndexHeader'            => 'Groups',
   'groupsNewHeader'              => 'New group',
   'groupsNewSubmit'              => 'Create new group',
   'groupsEditHeader'             => 'Edit group',
   'groupsEditSubmit'             => 'Update group',
   'groupsShowHeader'             => 'Show group',
   'groupsDeleteHeader'           => 'Delete group',
   'groupsDeleteSubmit'           => 'Delete group',
   'groupsBreadcrumbTitle'        => 'Groups',
   'groupsLabelId'                => 'Id',
   'groupsLabelName'              => 'Name',
   'groupsLabelDefinition'        => 'Definition',
   'groupsLabelSubGroups'         => 'Sub-Groups',
   'groupsLabelPerms'             => 'Perms',
   'groupsLabelAllow'             => 'Allow',
   'groupsLabelDeny'              => 'Deny',
   'groupsLabelNameCurrent'       => 'Current Name',
   'groupsLabelDefinitionCurrent' => 'Current Definition',
   'groupsLabelCreatedAt'         => 'Created at',
   'groupsLabelUpdatedAt'         => 'Updated at',
   'groupsLinkNew'                => 'Create new group',
   'groupsLinkBack'               => 'Back',

   'permsIndexHeader'             => 'Perms',
   'permsNewHeader'               => 'New perm',
   'permsNewSubmit'               => 'Create new perm',
   'permsEditHeader'              => 'Edit perm',
   'permsEditSubmit'              => 'Update perm',
   'permsShowHeader'              => 'Show perm',
   'permsDeleteHeader'            => 'Delete perm',
   'permsDeleteSubmit'            => 'Delete perm',
   'permsBreadcrumbTitle'         => 'Perms',
   'permsLabelId'                 => 'Id',
   'permsLabelName'               => 'Name',
   'permsLabelDefinition'         => 'Definition',
   'permsLabelNameCurrent'        => 'Current Name',
   'permsLabelDefinitionCurrent'  => 'Current Definition',
   'permsLabelCreatedAt'          => 'Created at',
   'permsLabelUpdatedAt'          => 'Updated at',
   'permsLinkNew'                 => 'Create new perm',
   'permsLinkBack'                => 'Back',
];
